---
title: Void Linux
---

# Void Linux

## Envision

The [official Appimage](https://gitlab.com/gabmus/envision#download-envision)
is the easiest way to get Envision working on Void Linux.

Just make sure you have all necessary dependencies installed for building your
desired profile. For Monado, all of the dependencies can be found in the Void
repositories - see the following section [Building Monado](#building-monado)
for the full list.

Envision may warn you about other missing dependencies. They can usually be
found in the Void repositories; you may also need `-devel` for some packages,
for example: `libbsd-devel`

## Building Monado

Monado may appear to build fine but if you are missing some dependencies only
the null compositor will work. To make a successful build make sure you have
the following dependencies installed:

```bash
sudo xbps-install pkg-config python3 wayland-devel glslang vulkan-loader-devel libglvnd-devel eigen libusb-devel eudev-libudev-devel v4l-utils-devel libxcb-devel wayland-devel libX11-devel hidapi-devel libopencv-devel libjpeg-turbo-devel libbluetooth-devel SDL2-devel cJSON-devel gstreamer1-devel gst-plugins-base1-devel libbsd-devel openxr-devel
```

There is a [void-packages PR](https://github.com/void-linux/void-packages/pull/53279) with templates for xrgears, Monado and libsurvive that you can use, however it is easier and recommended to just use Envision to build everything for you.
