---
title: HaritoraX Trackers
weight: 50
---

# HaritoraX Trackers

{{% hint info %}}

For a better full-body experience on Linux, it is recommended to buy the Official SlimeVR Trackers. This article is not an endorsement and is intended for users who have already acquired the hardware and are looking for compatible software.

{{% /hint %}}

- [Product website](https://en.shiftall.net/our-products)

HaritoraX trackers are IMU-based positional trackers.

## SlimeTora

- [Project repo](https://github.com/OCSYT/SlimeTora)
- [Project Wiki](https://github.com/OCSYT/SlimeTora/wiki)

SlimeTora is a program that connects the HaritoraX trackers to the [SlimeVR server](https://docs.slimevr.dev/server/index.html), supporting both the HaritoraX Wireless and HaritoraX Wired (1.1b/1.1/1.0). Supports Bluetooth (low energy), Bluetooth (classic) (w/ COM), and the GX(6/2) communication dongles (w/ COM).

### HaritoraX Interpreter

- [Project repo](https://github.com/JovannMC/haritorax-interpreter)
- [NodeJS package](https://www.npmjs.com/package/haritorax-interpreter)

HaritoraX Interpreter is a Node.js package that enables communication with the HaritoraX FBT trackers to read/write data to the trackers. No HaritoraConfigurator/VR Manager software needed (mostly)!
